import { ReaddirAsync } from "./async";
import { ReaddirIterator } from "./iterator";
import { ReaddirStream } from "./stream";
import { ReaddirSync } from "./sync";
/**
 * A backward-compatible drop-in replacement for Node's built-in `fs.readdir()` function that adds
 * support for additional features like filtering, recursion, absolute paths, and streaming.
 */
export interface Readdir extends ReaddirAsync {
    sync: ReaddirSync;
    async: ReaddirAsync;
    stream: ReaddirStream;
    iterator: ReaddirIterator;
}
export * from "./types-public";
export { async, ReaddirAsync, readdirAsync, readdirAsyncStat } from "./async";
export { ReaddirIterator, readdirIterator, readdirIteratorStat, iterator } from "./iterator";
export { ReaddirStream, readdirStream, readdirStreamStat, stream } from "./stream";
export { ReaddirSync, readdirSync, readdirSyncStat, sync } from "./sync";
declare const readdir: Readdir;
export { readdir };
export default readdir;
