import { Options, Stats } from "../types-public";
/**
 * Enhanced `fs.readdir()` synchronous interface.
 */
export interface ReaddirSync {
    /**
     * Synchronous `readdir()` that returns an array of string paths.
     */
    (dir: string, options?: Options): string[];
    /**
     * Synchronous `readdir()` that returns results as an array of `Stats` objects
     */
    stat(dir: string, options?: Options): Stats[];
}
declare const sync: ReaddirSync;
export { sync };
/**
 * Synchronous `readdir()` that returns an array of string paths.
 */
export declare function readdirSync(dir: string, options?: Options): string[];
/**
 * Synchronous `readdir()` that returns results as an array of `Stats` objects
 */
export declare function readdirSyncStat(dir: string, options?: Options): Stats[];
